Subject: Re: bug#21787: emacs on Mac errors

From: Random832 <[email-masked]>
Date: Thu, 29 Oct 2015 22:50:16 -0400

Fred Stanke <[email-masked]> writes:

> I have recently upgraded to OS X El Capitan, Ver. 10.11
>
> I more recently installed:
> This is GNU Emacs 24.5.1 (x86_64-apple-darwin13.4.0, NS apple-appkit-1265.21)
> of 2015-04-10 on builder10-9.porkrind.org

I have the same build (but installed before I upgraded OSX). I did not
have an emacs (other than the outdated one supplied with the OS) before
that - did you (or did you make any extensive use of the default one)?

> jka-compr-update: Recursive load:
> "/Users/fred/.emacs.d/lisp/jka-compr.elc",

What is this?

> 2) I try to diff 2 files and get:
> diff: Symbol's function definition is void: compile-internal
>
> 3) When I type M-x grep the minibuffer reports:
> Symbol's function definition is void: shell-completion-vars
>
> Could you suggest solutions for this?

Do you get these errors with emacs -Q?